-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Хост: 127.0.0.1:3306
-- Время создания: Май 13 2024 г., 13:25
-- Версия сервера: 10.4.26-MariaDB
-- Версия PHP: 7.2.34

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `test`
--

-- --------------------------------------------------------

--
-- Структура таблицы `accounts`
--

CREATE TABLE `accounts` (
  `id` int(10) UNSIGNED NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  `vk_login` varchar(50) DEFAULT NULL,
  `vk_pswd` varchar(100) DEFAULT NULL,
  `vk_id` int(10) UNSIGNED DEFAULT NULL,
  `firstname` varchar(25) DEFAULT NULL,
  `lastname` varchar(25) DEFAULT NULL,
  `avatar` text DEFAULT NULL,
  `sex` tinyint(4) DEFAULT NULL,
  `friends_count` int(11) DEFAULT NULL,
  `followers_count` int(11) DEFAULT NULL,
  `api_version` varchar(10) NOT NULL DEFAULT '5.185',
  `token` varchar(250) DEFAULT NULL,
  `token_exp_date` timestamp NOT NULL DEFAULT '1999-12-31 21:00:00',
  `auth_hash` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `status` enum('new','ok','incorrect','ban1','ban2','deleted','disabled','email_not_confirmed','2fa_required','bdate_required','invalid_token') DEFAULT 'new',
  `state` enum('free','works') NOT NULL DEFAULT 'free',
  `proxy_id` int(11) NOT NULL DEFAULT 0,
  `ava_dir` text DEFAULT NULL,
  `ava_copied_from` int(10) UNSIGNED DEFAULT 0,
  `own_group_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `pm_last_upd` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `pm_unread_conv` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `pm_last_msg_date` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `has_mobile` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `is_closed` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `useragent` varchar(250) NOT NULL,
  `app_useragent` text NOT NULL,
  `cookie` mediumtext NOT NULL,
  `stopped_until` timestamp NOT NULL DEFAULT '1999-12-31 21:00:00',
  `stop_info` varchar(100) NOT NULL,
  `last_activity` timestamp NOT NULL DEFAULT current_timestamp(),
  `thread_name` varchar(10) NOT NULL,
  `comment` varchar(35) NOT NULL,
  `comment_color` varchar(20) NOT NULL DEFAULT 'dark',
  `is_only_token` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `is_2fa` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `codes` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `accounts_agroups`
--

CREATE TABLE `accounts_agroups` (
  `account_id` int(10) UNSIGNED DEFAULT NULL,
  `agroup_id` int(10) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `accounts_tasks`
--

CREATE TABLE `accounts_tasks` (
  `id` int(10) UNSIGNED NOT NULL,
  `account_id` int(10) UNSIGNED DEFAULT NULL,
  `task_id` int(10) UNSIGNED DEFAULT NULL,
  `num` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `num_today` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `last_run` timestamp NOT NULL DEFAULT current_timestamp(),
  `start` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `agroups`
--

CREATE TABLE `agroups` (
  `id` int(10) UNSIGNED NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  `name` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `bl`
--

CREATE TABLE `bl` (
  `id` int(10) UNSIGNED NOT NULL,
  `uid` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `bl_posts`
--

CREATE TABLE `bl_posts` (
  `id` int(10) UNSIGNED NOT NULL,
  `wall` int(11) DEFAULT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `post_id` int(10) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `captcha`
--

CREATE TABLE `captcha` (
  `id` int(10) UNSIGNED NOT NULL,
  `uid` int(10) UNSIGNED DEFAULT NULL,
  `ts` timestamp NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `captcha_stat`
--

CREATE TABLE `captcha_stat` (
  `account_id` int(10) UNSIGNED DEFAULT NULL,
  `d` timestamp NULL DEFAULT current_timestamp(),
  `method` varchar(35) DEFAULT NULL,
  `label` varchar(35) DEFAULT NULL,
  `total` smallint(5) UNSIGNED DEFAULT 0,
  `fails` smallint(5) UNSIGNED DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `catalog`
--

CREATE TABLE `catalog` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(200) DEFAULT NULL,
  `label` varchar(35) NOT NULL,
  `type` enum('task','section') NOT NULL,
  `parent_id` int(10) UNSIGNED DEFAULT 0,
  `hidden` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `sort` smallint(5) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `catalog`
--

INSERT INTO `catalog` (`id`, `name`, `label`, `type`, `parent_id`, `hidden`, `sort`) VALUES
(1, 'Друзья', '', 'section', 0, 0, 30),
(2, 'Добавляться в друзья (по списку пользователей)', 'send_friend_request', 'task', 1, 0, 60),
(3, 'Одобрять приглашения в друзья', 'accept_friend_request', 'task', 1, 0, 100),
(5, 'Лайкинг', '', 'section', 0, 0, 40),
(7, 'Лайкинг постов (по списку пользователей)', 'like_post', 'task', 5, 0, 280),
(8, 'Лайкинг фото/аватарок (по списку пользователей)', 'like_photo', 'task', 5, 0, 60),
(9, 'Лайкинг видео (по списку пользователей)', 'like_video', 'task', 5, 0, 120),
(14, 'Комментирование', '', 'section', 0, 0, 50),
(16, 'Комментирование фото/аватарок (по списку пользователей)', 'comment_photo', 'task', 14, 0, 40),
(17, 'Комментирование видео (по списку пользователей)', 'comment_video', 'task', 14, 0, 100),
(18, 'Комментирование постов (по списку пользователей)', 'comment_post', 'task', 14, 0, 220),
(19, 'Комментирование обсуждений (по списку сообществ)', 'comment_topic', 'task', 14, 0, 160),
(20, 'Постинг на чужие стены', '', 'section', 0, 0, 60),
(21, 'Посты (из заранее подготовленных папок)', 'posting_to_own_wall', 'task', 122, 0, 20),
(22, 'Постинг на стены пользователей (по списку пользователей)', 'posting_to_user_wall', 'task', 20, 0, 40),
(23, 'Постинг на стены сообществ (по списку сообществ)', 'posting_to_group_wall', 'task', 20, 0, 20),
(24, 'Постинг в предложку (по списку сообществ)', 'posting_to_suggest_news', 'task', 20, 0, 60),
(25, 'Личные сообщения', '', 'section', 0, 0, 70),
(27, 'Рассылка личных сообщений (по списку пользователей)', 'send_pm', 'task', 25, 0, 20),
(28, 'Аккаунт', '', 'section', 0, 0, 10),
(29, 'Эмуляция активности <span class=\"hint d-none text-black-50\">(случайные действия)</span>', 'random_action', 'task', 28, 0, 20),
(30, 'Чистка аккаунта', 'clean_account', 'task', 28, 0, 60),
(31, 'Изменить данные профиля', 'edit_account', 'task', 28, 0, 120),
(32, 'Установка/ротация статуса', 'set_status', 'task', 28, 0, 300),
(33, 'Разное', '', 'section', 0, 0, 100),
(34, 'Вступать в сообщества (по списку сообществ)', 'join_group', 'task', 28, 0, 320),
(35, 'Выходить из сообществ', 'leave_group', 'task', 28, 0, 360),
(36, 'Приглашать друзей в сообщество (инвайтинг)', 'invite_to_group', 'task', 54, 0, 180),
(37, 'Проверка/замена промопоста', 'replace_promopost', 'task', 28, 1, 625),
(38, 'Чистка списка ссылок (удаление забаненных)', 'clean_link_list', 'task', 33, 0, 50),
(39, 'Пауза (отдых аккаунта от каких-либо действий)', 'pause', 'task', 28, 0, 40),
(40, 'Добавляться в друзья к возможным друзьям', 'suggested_friends', 'task', 1, 0, 80),
(41, 'Рассылка личных сообщений друзьям', 'send_pm_friend', 'task', 25, 0, 60),
(42, 'Автоответчик (по ключевым словам)', 'autoresponder', 'task', 25, 0, 180),
(43, 'Голосовать в опросе', 'vote', 'task', 33, 0, 60),
(44, 'Загрузка фото', 'upload_photo', 'task', 28, 0, 200),
(45, 'Загрузка видео', 'upload_video', 'task', 28, 0, 220),
(46, 'Загрузка аудио', 'upload_audio', 'task', 28, 0, 240),
(47, 'Загрузка аватарок (из папок)', 'upload_avatar', 'task', 28, 0, 160),
(48, 'Лайкинг комментариев к постам (по списку пользователей)', 'like_comment', 'task', 5, 0, 180),
(49, 'Подружить свои аккаунты', 'make_friends_bots', 'task', 1, 0, 20),
(50, 'Загрузка видео в видеозаписи чужих сообществ (по списку сообществ)', 'upload_video_to_group', 'task', 33, 0, 260),
(51, 'Загрузка фото в фотоальбомы чужих сообществ (по списку фотоальбомов)', 'upload_photo_to_group', 'task', 33, 0, 300),
(52, 'C//kBDDAXwNDnGRLJ3SE0gKWiOcD4KkZMQpkcK6gKVRE', 'private1', 'task', 33, 1, 0),
(53, 'Промопост (из заранее подготовленных папок)', 'new_promopost', 'task', 122, 0, 100),
(54, 'Свои сообщества', '', 'section', 0, 0, 90),
(55, 'Наполнение стены сообщества постами (из папок)', 'posting_to_own_group', 'task', 54, 0, 60),
(56, 'Одобрять заявки в закрытое сообщество', 'accept_members', 'task', 54, 0, 220),
(57, 'Создать сообщество', 'create_group', 'task', 54, 0, 20),
(58, 'Редактировать настройки сообщества', 'edit_group', 'task', 54, 0, 40),
(59, 'Настройки приватности', 'privacy', 'task', 28, 0, 80),
(60, 'Рассылка в сообщения сообществ (по списку сообществ)', 'send_pm_groups', 'task', 25, 0, 120),
(61, 'Изменить пароль', 'change_pswd', 'task', 28, 0, 140),
(62, 'Настройки уведомлений', 'notifications', 'task', 28, 0, 100),
(63, 'Сбор одобривших заявку в друзья в автонаполняемый список', 'extract_friends', 'task', 33, 0, 160),
(65, 'Загрузка историй', 'upload_story', 'task', 28, 0, 260),
(66, 'Быстрое комментирование поста/фото/видео/клипа/обсуждения/комментария', 'quick_commenting', 'task', 14, 0, 20),
(67, 'Быстрый лайкинг поста/фото/видео/клипа/комментария к посту/обсуждению', 'quick_liking', 'task', 5, 0, 40),
(68, 'Загрузка клипов', 'upload_clip', 'task', 28, 0, 280),
(69, 'Быстрый репост поста/фото/видео/клипа', 'quick_repost', 'task', 122, 0, 1000),
(70, 'Посты (внешний источник данных)', 'posting_to_own_wall_ext', 'task', 122, 0, 80),
(71, 'Накрутка просмотров клипа', 'view_clip', 'task', 33, 0, 120),
(72, 'Наполнение стены сообщества (внешний источник данных)', 'posting_to_own_group_ext', 'task', 54, 0, 120),
(73, 'Накрутка просмотров видео', 'view_video', 'task', 33, 0, 140),
(74, 'Быстро добавиться в друзья к юзеру', 'quick_add_friend', 'task', 1, 0, 40),
(75, 'Быстро вступить в сообщество', 'quick_join_group', 'task', 28, 0, 340),
(76, 'Клоны/репосты постов (по списку групп-доноров)', 'posting_to_own_wall_1', 'task', 122, 0, 40),
(77, 'Репосты постов (по списку пользователей)', 'repost_post', 'task', 122, 0, 160),
(78, 'Клоны/репосты постов (по списку постов)', 'posting_to_own_wall_3', 'task', 122, 0, 60),
(79, 'Наполнение стены сообщества постами/репостами (из групп-доноров)', 'posting_to_own_group_1', 'task', 54, 0, 80),
(80, 'Наполнение стены сообщества постами/репостами (по списку постов)', 'posting_to_own_group_2', 'task', 54, 0, 100),
(81, 'Автоответчик (по номерам сообщений)', 'autoresponder_2', 'task', 25, 0, 200),
(82, 'Перелайкать аватарки своих аккаунтов', 'bots_likes_ava', 'task', 5, 0, 20),
(83, 'Экспорт своих сообществ в Excel файл или список', 'export_own_groups', 'task', 54, 0, 1000),
(84, 'Загрузка аватарок (через поиск людей)', 'grab_avatar', 'task', 28, 0, 180),
(85, 'Рекомендовать сообщество', 'like_group', 'task', 54, 1, 200),
(86, 'Чтение личных сообщений', 'read_pm', 'task', 25, 0, 160),
(87, 'Загрузка клипов в сообщество', 'upload_clip_to_own_group', 'task', 54, 0, 240),
(88, 'Автоответчик (внешний обработчик сообщений)', 'autoresponder_3', 'task', 25, 0, 220),
(89, 'Вступать в сообщества (через поиск сообществ)', 'join_group_1', 'task', 28, 0, 321),
(90, 'Добавляться в друзья (через поиск людей)', 'send_friend_request_1', 'task', 1, 0, 61),
(91, 'Лайкинг фото/аватарок (через поиск людей)', 'like_photo_1', 'task', 5, 0, 80),
(92, 'Лайкинг фото/аватарок (по списку фото)', 'like_photo_2', 'task', 5, 0, 100),
(93, 'Лайкинг видео (через поиск людей)', 'like_video_1', 'task', 5, 0, 140),
(94, 'Лайкинг видео (по списку видео)', 'like_video_2', 'task', 5, 0, 160),
(95, 'Лайкинг комментариев к постам (через поиск людей)', 'like_comment_1', 'task', 5, 0, 200),
(96, 'Лайкинг комментариев к постам (по списку сообществ)', 'like_comment_2', 'task', 5, 0, 220),
(97, 'Лайкинг комментариев к постам (через поиск сообществ)', 'like_comment_3', 'task', 5, 0, 240),
(98, 'Лайкинг комментариев к постам (по списку комментариев)', 'like_comment_4', 'task', 5, 0, 260),
(99, 'Лайкинг постов (через поиск людей)', 'like_post_1', 'task', 5, 0, 300),
(100, 'Лайкинг постов (по списку сообществ)', 'like_post_2', 'task', 5, 0, 320),
(102, 'Лайкинг постов (по списку постов)', 'like_post_3', 'task', 5, 0, 340),
(103, 'Комментирование фото/аватарок (через поиск людей)', 'comment_photo_1', 'task', 14, 0, 60),
(104, 'Комментирование фото/аватарок (по списку фото)', 'comment_photo_2', 'task', 14, 0, 80),
(105, 'Комментирование видео (через поиск людей)', 'comment_video_1', 'task', 14, 0, 120),
(106, 'Комментирование видео (по списку видео)', 'comment_video_2', 'task', 14, 0, 140),
(107, 'Комментирование обсуждений (через поиск сообществ)', 'comment_topic_1', 'task', 14, 0, 180),
(108, 'Комментирование обсуждений (по списку обсуждений)', 'comment_topic_2', 'task', 14, 0, 200),
(109, 'Комментирование постов (через поиск людей)', 'comment_post_1', 'task', 14, 0, 240),
(110, 'Комментирование постов (по списку сообществ)', 'comment_post_2', 'task', 14, 0, 260),
(111, 'Комментирование постов (через поиск сообществ)', 'comment_post_3', 'task', 14, 0, 280),
(112, 'Комментирование постов (по списку постов)', 'comment_post_4', 'task', 14, 0, 300),
(113, 'Постинг на стены сообществ (через поиск сообществ)', 'posting_to_group_wall_1', 'task', 20, 0, 21),
(114, 'Постинг на стены пользователей (через поиск людей)', 'posting_to_user_wall_1', 'task', 20, 0, 41),
(115, 'Постинг в предложку (через поиск сообществ)', 'posting_to_suggest_news_1', 'task', 20, 0, 61),
(116, 'Рассылка личных сообщений (через поиск людей)', 'send_pm_1', 'task', 25, 0, 40),
(117, 'Рассылка в сообщения сообществ (через поиск сообществ)', 'send_pm_groups_1', 'task', 25, 0, 140),
(118, 'Промопост (клоны/репосты постов по списку постов)', 'new_promopost_1', 'task', 122, 0, 120),
(119, 'Промопост (клоны/репосты постов из промо-группы)', 'new_promopost_2', 'task', 122, 0, 140),
(120, 'Загрузка видео в видеозаписи чужих сообществ (через поиск сообществ)', 'upload_video_to_group_1', 'task', 33, 0, 280),
(121, 'Репосты постов (через поиск людей)', 'repost_post_1', 'task', 122, 0, 180),
(122, 'Наполнение стен аккаунтов', '', 'section', 0, 0, 20),
(123, 'Репосты фото/аватарок (по списку пользователей)', 'repost_photo', 'task', 122, 0, 200),
(124, 'Репосты фото/аватарок (по списку фото)', 'repost_photo_2', 'task', 122, 0, 240),
(125, 'Репосты фото/аватарок (через поиск людей)', 'repost_photo_1', 'task', 122, 0, 220),
(126, 'Репосты видео (по списку пользователей)', 'repost_video', 'task', 122, 0, 260),
(127, 'Репосты видео (через поиск людей)', 'repost_video_1', 'task', 122, 0, 280),
(128, 'Репосты видео (по списку видео)', 'repost_video_2', 'task', 122, 0, 300),
(131, 'Загрузка видео в видеозаписи сообщества', 'upload_video_to_own_group', 'task', 54, 0, 260),
(132, 'Загрузка фото в фотоальбом сообщества', 'upload_photo_to_own_group', 'task', 54, 0, 280),
(133, 'Репосты из сообщества в личные сообщения (по списку пользователей)', 'send_pm_repost', 'task', 25, 0, 80),
(134, 'Репосты из сообщества в личные сообщения (через поиск людей)', 'send_pm_repost_1', 'task', 25, 0, 100),
(135, 'Лайкинг клипов (по списку клипов)', 'like_clip', 'task', 5, 0, 360),
(136, 'Вопросы', '', 'section', 0, 0, 80),
(137, 'Рассылка вопросов (по списку пользователей)', 'send_question', 'task', 136, 0, 20),
(138, 'Рассылка вопросов (через поиск людей)', 'send_question_1', 'task', 136, 0, 40),
(139, 'Комментирование клипов (по списку клипов)', 'comment_clip', 'task', 14, 0, 320),
(140, 'Репосты клипов (по списку клипов)', 'repost_clip', 'task', 122, 0, 320),
(141, 'C5blBTGbYkNEqVt8Jj+Egly+CdCA15YWUQdwcW6U3Vvidl3J0x7ANBgqQV4lTAnWZ8n+hTXSA8Bb\nxlIGpqdCVV0XUQ1CiqKEynfqxrKHwYrd', 'private2', 'task', 142, 1, 0),
(142, 'Приватные задания', '', 'section', 0, 1, 1000),
(143, 'Загрузка обложки', 'upload_cover', 'task', 28, 0, 159);

-- --------------------------------------------------------

--
-- Структура таблицы `clips_ids`
--

CREATE TABLE `clips_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `comments_ids`
--

CREATE TABLE `comments_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `post_owner_id` int(11) DEFAULT NULL,
  `post_id` int(10) UNSIGNED DEFAULT NULL,
  `comment_id` int(10) UNSIGNED DEFAULT NULL,
  `comment_thread` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `comment_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `daily_stat`
--

CREATE TABLE `daily_stat` (
  `account_id` int(10) UNSIGNED NOT NULL,
  `d` timestamp NOT NULL DEFAULT current_timestamp(),
  `send_friend_request` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `accept_friend_request` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `like_post` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `like_photo` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `like_video` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `like_clip` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `like_comment` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `like_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `like_topic_post` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `comment_avatar` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `comment_photo` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `comment_video` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `comment_clip` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `comment_post` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `comment_topic` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `post` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `repost_post` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `repost_photo` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `repost_video` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `repost_clip` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `posting_to_user_wall` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `posting_to_group_wall` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `posting_to_suggest_news` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upd_pm_counter` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `send_pm` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `send_pm_friend` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `read_pm` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `send_question` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `random_action` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `set_status` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `join_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `leave_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `og_post` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `og_repost_post` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `accept_members` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `invite_to_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `clean_link_list` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `reply_pm` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `send_pm_groups` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `replace_promopost` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `vote` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_cover` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_avatar` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_photo` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_video` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_audio` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_story` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_clip` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_video_to_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_photo_to_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_video_to_own_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_photo_to_own_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `upload_clip_to_own_group` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `add_promopost` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `view_clip` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `view_video` smallint(5) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `donors`
--

CREATE TABLE `donors` (
  `id` int(10) UNSIGNED NOT NULL,
  `group_id` varchar(47) DEFAULT NULL,
  `min_views` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `min_likes` int(10) UNSIGNED DEFAULT 0,
  `min_reposts` int(10) UNSIGNED DEFAULT 0,
  `min_comments` int(10) UNSIGNED DEFAULT 0,
  `min_ltr` float NOT NULL DEFAULT 0,
  `min_images` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `max_images` tinyint(3) UNSIGNED NOT NULL DEFAULT 10,
  `min_gifs` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `max_gifs` tinyint(3) UNSIGNED NOT NULL DEFAULT 10,
  `min_videos` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `max_videos` tinyint(3) UNSIGNED NOT NULL DEFAULT 10,
  `min_audio` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `max_audio` tinyint(3) UNSIGNED NOT NULL DEFAULT 19,
  `min_media` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `max_media` tinyint(3) UNSIGNED NOT NULL DEFAULT 10,
  `list_id` int(10) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `gnames`
--

CREATE TABLE `gnames` (
  `id` int(10) UNSIGNED NOT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `name` varchar(48) DEFAULT NULL,
  `last_use` timestamp NOT NULL DEFAULT current_timestamp(),
  `deleted` int(10) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `groups_ids`
--

CREATE TABLE `groups_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `screen_name` varchar(32) NOT NULL,
  `gid` int(11) DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `links`
--

CREATE TABLE `links` (
  `id` int(10) UNSIGNED NOT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `link` text DEFAULT NULL,
  `last_use` timestamp NOT NULL DEFAULT current_timestamp(),
  `last_check` timestamp NOT NULL DEFAULT current_timestamp(),
  `deleted` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `lists`
--

CREATE TABLE `lists` (
  `id` int(10) UNSIGNED NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  `name` char(50) DEFAULT NULL,
  `type` enum('users_ids','groups_ids','posts_ids','comments_ids','photos_ids','photoalbums_ids','videos_ids','videoalbums_ids','clips_ids','topics_ids','status','links','bl','donors','reactions','gnames') NOT NULL,
  `auto` tinyint(3) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `make_friends`
--

CREATE TABLE `make_friends` (
  `id` int(10) UNSIGNED NOT NULL,
  `task_id` int(10) UNSIGNED DEFAULT NULL,
  `account_id` int(10) UNSIGNED DEFAULT NULL,
  `uid` int(10) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Структура таблицы `mp`
--

CREATE TABLE `mp` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(50) DEFAULT NULL,
  `min_media` tinyint(3) UNSIGNED NOT NULL,
  `max_media` tinyint(3) UNSIGNED NOT NULL,
  `type` enum('post','comment') DEFAULT NULL,
  `link` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `images_from` tinyint(3) UNSIGNED DEFAULT NULL,
  `images_to` tinyint(3) UNSIGNED DEFAULT NULL,
  `gifs_from` tinyint(3) UNSIGNED DEFAULT NULL,
  `gifs_to` tinyint(3) UNSIGNED DEFAULT NULL,
  `audio_from` tinyint(3) UNSIGNED DEFAULT NULL,
  `audio_to` tinyint(3) UNSIGNED DEFAULT NULL,
  `videos_from` tinyint(3) UNSIGNED DEFAULT NULL,
  `videos_to` tinyint(3) UNSIGNED DEFAULT NULL,
  `is_default` tinyint(3) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `mp`
--

INSERT INTO `mp` (`id`, `name`, `min_media`, `max_media`, `type`, `link`, `images_from`, `images_to`, `gifs_from`, `gifs_to`, `audio_from`, `audio_to`, `videos_from`, `videos_to`, `is_default`) VALUES
(1, 'Медиа-профиль для постов и ЛС (default)', 0, 10, 'post', 0, 0, 10, 0, 10, 0, 10, 0, 10, 1),
(2, 'Медиа-профиль для комментариев (default)', 0, 2, 'comment', 0, 0, 2, 0, 2, 0, 2, 0, 2, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `photoalbums_ids`
--

CREATE TABLE `photoalbums_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `photos_ids`
--

CREATE TABLE `photos_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `posts_ids`
--

CREATE TABLE `posts_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `owner_id` int(11) NOT NULL,
  `item_id` int(10) UNSIGNED NOT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `promoposts`
--

CREATE TABLE `promoposts` (
  `id` int(10) UNSIGNED NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `wall` int(11) DEFAULT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `post_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `proxy`
--

CREATE TABLE `proxy` (
  `id` int(10) UNSIGNED NOT NULL,
  `created` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `proxy` varchar(255) NOT NULL,
  `protocol` enum('http','socks5') NOT NULL,
  `login` varchar(35) NOT NULL,
  `pswd` varchar(35) NOT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `port` varchar(6) NOT NULL,
  `status` enum('ok','bad') DEFAULT 'ok',
  `comment` varchar(25) NOT NULL,
  `checktime` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `reactions`
--

CREATE TABLE `reactions` (
  `id` int(10) UNSIGNED NOT NULL,
  `keywords` text DEFAULT NULL,
  `reply` text DEFAULT NULL,
  `attachments` text DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `is_default` tinyint(3) UNSIGNED DEFAULT 0,
  `sort_order` int(10) UNSIGNED NOT NULL DEFAULT 1000000
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `results`
--

CREATE TABLE `results` (
  `id` int(10) UNSIGNED NOT NULL,
  `uid` int(10) UNSIGNED NOT NULL,
  `task_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `task_label` varchar(35) NOT NULL,
  `dt` timestamp NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `res` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `running_threads`
--

CREATE TABLE `running_threads` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(10) NOT NULL
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

CREATE TABLE `settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `admin_login` varchar(25) NOT NULL,
  `admin_pswd` binary(16) NOT NULL,
  `delay_type` tinyint(4) UNSIGNED NOT NULL DEFAULT 0,
  `delay` varchar(15) NOT NULL,
  `ra_n` varchar(15) NOT NULL,
  `ra_delay` varchar(15) NOT NULL,
  `captcha_module` varchar(25) NOT NULL,
  `captcha_max_attempts` int(10) UNSIGNED NOT NULL DEFAULT 3,
  `max_captchas` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `max_captchas_period` varchar(15) NOT NULL DEFAULT '24 HOUR',
  `max_captchas_downtime` varchar(15) NOT NULL DEFAULT '12 HOUR',
  `max_acc_proxy` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `extended_filters` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `tz` varchar(100) NOT NULL DEFAULT 'UTC',
  `delay_before_shutdown` varchar(15) NOT NULL,
  `log_msg_downtime` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `log_msg_limit` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `log_msg_schedule` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `auto_threads` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `sleep_time` text NOT NULL,
  `api_key` varchar(100) NOT NULL,
  `empty_resp_attempts` int(10) UNSIGNED NOT NULL DEFAULT 25,
  `empty_resp_pause` int(10) UNSIGNED NOT NULL DEFAULT 3,
  `tg_bot_token` varchar(100) NOT NULL DEFAULT '',
  `tg_chat_id` varchar(50) NOT NULL DEFAULT '',
  `tg_notify_ban` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `tg_notify_msg` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `upd_counters_downtime` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `upd_counters_save_res` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `domain` varchar(100) NOT NULL DEFAULT '',
  `not_show_ava` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `stop_words` text NOT NULL,
  `version` varchar(25) NOT NULL,
  `bot_version` varchar(25) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `settings`
--

INSERT INTO `settings` (`id`, `admin_login`, `admin_pswd`, `delay_type`, `delay`, `ra_n`, `ra_delay`, `captcha_module`, `captcha_max_attempts`, `max_captchas`, `max_captchas_period`, `max_captchas_downtime`, `max_acc_proxy`, `extended_filters`, `tz`, `delay_before_shutdown`, `log_msg_downtime`, `log_msg_limit`, `log_msg_schedule`, `auto_threads`, `sleep_time`, `api_key`, `empty_resp_attempts`, `empty_resp_pause`, `tg_bot_token`, `tg_chat_id`, `tg_notify_ban`, `tg_notify_msg`, `upd_counters_downtime`, `upd_counters_save_res`, `domain`, `not_show_ava`, `stop_words`, `version`, `bot_version`) VALUES
(1, 'admin', 0x21232f297a57a5a743894a0e4a801fc3, 1, '20-60', '1-3', '15-20', 'RuCaptcha.dll', 3, 1000, '24 HOUR', '12 HOUR', 3, 1, 'Russian Standard Time', '15-20', 1, 1, 1, 1, '', '08ccZEbGYM0BlEuIxthpOICjAjABQuj2KAiJpvwqehjputI8Ip', 25, 3, '', '', 0, 0, 2, 0, 'http://vk-magick', 0, 'митинг, лгбт, суицид, убийств, наркот, нацист, нацик', '13052024', '13052024');

-- --------------------------------------------------------

--
-- Структура таблицы `smart_rotation`
--

CREATE TABLE `smart_rotation` (
  `account_id` int(10) UNSIGNED DEFAULT NULL,
  `dir_hash` binary(16) NOT NULL,
  `obj` text DEFAULT NULL,
  `type` enum('text','image','gif','video','audio','link','dir','story') DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `status`
--

CREATE TABLE `status` (
  `id` int(10) UNSIGNED NOT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `s` varchar(140) DEFAULT NULL,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `tasks`
--

CREATE TABLE `tasks` (
  `id` int(10) UNSIGNED NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  `name` varchar(150) NOT NULL,
  `comment` varchar(35) NOT NULL DEFAULT '',
  `comment_color` varchar(20) NOT NULL DEFAULT 'dark',
  `label` varchar(35) DEFAULT NULL,
  `data` mediumtext DEFAULT NULL,
  `status` enum('active','stopped','deleted') NOT NULL DEFAULT 'active',
  `deleted` timestamp NOT NULL DEFAULT current_timestamp(),
  `descr` text NOT NULL,
  `lim` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `downtime` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `has_limit` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `has_downtime` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `has_schedule` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `schedule` text NOT NULL,
  `schedule_tz` varchar(100) NOT NULL DEFAULT '',
  `max_num` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `delete_when_0_accs` tinyint(3) UNSIGNED NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `topics_ids`
--

CREATE TABLE `topics_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `uploaded`
--

CREATE TABLE `uploaded` (
  `id` int(10) UNSIGNED NOT NULL,
  `uid` int(10) UNSIGNED DEFAULT NULL,
  `obj` text NOT NULL,
  `hash` binary(16) DEFAULT NULL,
  `type` enum('avatar','image','video','audio','document') DEFAULT NULL,
  `vk_obj` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_ids`
--

CREATE TABLE `users_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `screen_name` varchar(32) NOT NULL,
  `uid` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT 0,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `videoalbums_ids`
--

CREATE TABLE `videoalbums_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `videos_ids`
--

CREATE TABLE `videos_ids` (
  `id` int(10) UNSIGNED NOT NULL,
  `owner_id` int(11) DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `list_id` int(10) UNSIGNED DEFAULT NULL,
  `added_by_uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ts` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `accounts`
--
ALTER TABLE `accounts`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `vk_login` (`vk_login`),
  ADD KEY `status_2` (`status`,`state`,`proxy_id`),
  ADD KEY `status` (`status`,`state`,`last_activity`) USING BTREE;

--
-- Индексы таблицы `accounts_agroups`
--
ALTER TABLE `accounts_agroups`
  ADD UNIQUE KEY `account_id` (`account_id`,`agroup_id`);

--
-- Индексы таблицы `accounts_tasks`
--
ALTER TABLE `accounts_tasks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `task_id` (`task_id`);

--
-- Индексы таблицы `agroups`
--
ALTER TABLE `agroups`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `bl`
--
ALTER TABLE `bl`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `x` (`uid`,`list_id`);

--
-- Индексы таблицы `bl_posts`
--
ALTER TABLE `bl_posts`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `wall` (`wall`,`owner_id`,`post_id`);

--
-- Индексы таблицы `captcha`
--
ALTER TABLE `captcha`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `uid` (`uid`,`ts`);

--
-- Индексы таблицы `captcha_stat`
--
ALTER TABLE `captcha_stat`
  ADD UNIQUE KEY `x` (`account_id`,`d`,`method`,`label`);

--
-- Индексы таблицы `catalog`
--
ALTER TABLE `catalog`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `clips_ids`
--
ALTER TABLE `clips_ids`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `list_id` (`list_id`,`owner_id`,`item_id`),
  ADD KEY `list_id_2` (`list_id`);

--
-- Индексы таблицы `comments_ids`
--
ALTER TABLE `comments_ids`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `daily_stat`
--
ALTER TABLE `daily_stat`
  ADD UNIQUE KEY `account_id` (`account_id`,`d`);

--
-- Индексы таблицы `donors`
--
ALTER TABLE `donors`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `gnames`
--
ALTER TABLE `gnames`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `groups_ids`
--
ALTER TABLE `groups_ids`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `list_id` (`list_id`,`gid`,`added_by_uid`) USING BTREE;

--
-- Индексы таблицы `links`
--
ALTER TABLE `links`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `lists`
--
ALTER TABLE `lists`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `make_friends`
--
ALTER TABLE `make_friends`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `mp`
--
ALTER TABLE `mp`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `photoalbums_ids`
--
ALTER TABLE `photoalbums_ids`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `photos_ids`
--
ALTER TABLE `photos_ids`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `list_id` (`list_id`,`owner_id`,`item_id`),
  ADD KEY `list_id_2` (`list_id`);

--
-- Индексы таблицы `posts_ids`
--
ALTER TABLE `posts_ids`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `list_id_2` (`list_id`,`owner_id`,`item_id`,`added_by_uid`) USING BTREE,
  ADD KEY `list_id` (`list_id`);

--
-- Индексы таблицы `promoposts`
--
ALTER TABLE `promoposts`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `proxy`
--
ALTER TABLE `proxy`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `proxy` (`proxy`);

--
-- Индексы таблицы `reactions`
--
ALTER TABLE `reactions`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `results`
--
ALTER TABLE `results`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `running_threads`
--
ALTER TABLE `running_threads`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `smart_rotation`
--
ALTER TABLE `smart_rotation`
  ADD KEY `vk_id` (`account_id`,`dir_hash`,`type`) USING BTREE;

--
-- Индексы таблицы `status`
--
ALTER TABLE `status`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `tasks`
--
ALTER TABLE `tasks`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `topics_ids`
--
ALTER TABLE `topics_ids`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `list_id` (`list_id`,`owner_id`,`item_id`);

--
-- Индексы таблицы `uploaded`
--
ALTER TABLE `uploaded`
  ADD PRIMARY KEY (`id`),
  ADD KEY `account_id` (`uid`,`type`);

--
-- Индексы таблицы `users_ids`
--
ALTER TABLE `users_ids`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `list_id` (`list_id`,`uid`,`added_by_uid`);

--
-- Индексы таблицы `videoalbums_ids`
--
ALTER TABLE `videoalbums_ids`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `videos_ids`
--
ALTER TABLE `videos_ids`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `list_id` (`list_id`,`owner_id`,`item_id`),
  ADD KEY `list_id_2` (`list_id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `accounts`
--
ALTER TABLE `accounts`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `accounts_tasks`
--
ALTER TABLE `accounts_tasks`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `agroups`
--
ALTER TABLE `agroups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `bl`
--
ALTER TABLE `bl`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `bl_posts`
--
ALTER TABLE `bl_posts`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `captcha`
--
ALTER TABLE `captcha`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `catalog`
--
ALTER TABLE `catalog`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=144;

--
-- AUTO_INCREMENT для таблицы `clips_ids`
--
ALTER TABLE `clips_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `comments_ids`
--
ALTER TABLE `comments_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `donors`
--
ALTER TABLE `donors`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `gnames`
--
ALTER TABLE `gnames`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `groups_ids`
--
ALTER TABLE `groups_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `links`
--
ALTER TABLE `links`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `lists`
--
ALTER TABLE `lists`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `make_friends`
--
ALTER TABLE `make_friends`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `mp`
--
ALTER TABLE `mp`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT для таблицы `photoalbums_ids`
--
ALTER TABLE `photoalbums_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `photos_ids`
--
ALTER TABLE `photos_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `posts_ids`
--
ALTER TABLE `posts_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `promoposts`
--
ALTER TABLE `promoposts`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `proxy`
--
ALTER TABLE `proxy`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `reactions`
--
ALTER TABLE `reactions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `results`
--
ALTER TABLE `results`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `running_threads`
--
ALTER TABLE `running_threads`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `settings`
--
ALTER TABLE `settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT для таблицы `status`
--
ALTER TABLE `status`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `tasks`
--
ALTER TABLE `tasks`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `topics_ids`
--
ALTER TABLE `topics_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `uploaded`
--
ALTER TABLE `uploaded`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `users_ids`
--
ALTER TABLE `users_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `videoalbums_ids`
--
ALTER TABLE `videoalbums_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `videos_ids`
--
ALTER TABLE `videos_ids`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
